hud = {}

local meters = {}

meter_speed = 50

function hud.newMeter(n, x, y, w, h, v, c, a)
	meters[#meters + 1] = {
			n = n,
			x = x,
			y = y,
			w = w,
			h = h,
			v = {c = v, d = v, m = v},
			p = v,
			c = c,
			a = a
		}
end

function hud.update(dt)
	if slow then dt = dt * 4 end
	for i,v in ipairs(meters) do
		if v.n == "health" then
			v.v.d = player.health.c
		elseif v.n == "time" then
			v.v.d = game_time.c
		elseif v.n == "ammo" then
			v.v.d = player.ammo.c
		elseif v.n == "focus" then
			v.v.d = player.focus.c
		end
		
		--Update
		--up
		if v.v.c < v.v.d then
			v.v.c = v.v.c + meter_speed * dt
			if v.v.c > v.v.d then
				v.v.c = v.v.d
			end
		else
			v.v.c = v.v.c - meter_speed * dt
			if v.v.c < v.v.d then
				v.v.c = v.v.d 
			end
		end
		

	end
end

function hud.draw()
	for i,v in ipairs(meters) do
		love.graphics.setColor(v.c[1], v.c[2], v.c[3], v.a)
		love.graphics.rectangle("fill", v.x, v.y, v.w / v.v.m * v.v.c, v.h)
	end
	love.graphics.setColor(255, 255, 255, 255)
	love.graphics.print("$"..player.money, 12, screen.h-24)
end