menu = {}

local shdata = love.image.newImageData(1, 1)
for y=0, shdata:getHeight() - 1 do
	for x=0, shdata:getWidth() - 1 do
		shdata:setPixel(x, y, 255, 255, 255, 255)
	end
end
local sh = love.graphics.newImage(shdata)

function menu.update(dt)
	shaders.light.update(dt)
end

function menu.draw()
	--Ground
	shaders.light.set()
	love.graphics.setColor(0, 10, 15, 255)
	love.graphics.draw(sh, 0, screen.h - world.ground_h)
	love.graphics.rectangle("fill", 0, screen.h - world.ground_h, screen.w, world.ground_h)
	love.graphics.setColor(255, 255, 255, 255)
	love.graphics.setFont(font.large)
	love.graphics.print("Start\nOptions\nexit", 12, 12)
	shaders.clear()
end